const debounce = (fn, delay) => {
    let timer;
    delay = delay || 0;
    return (...args) => {
        window.clearTimeout(timer);
        timer = window.setTimeout(() => {
            fn.apply(null, args);
        }, delay);
    };
};

/**
 * empty function
 * @alias noop
 * @export
 */
function noop() { }

const throttle = (fn, delay) => {
    delay = delay || 0;
    const caller = (args) => {
        fn.apply(null, args);
        base = +new Date();
    };
    let base = null;
    let isLeading = true;
    let stamp = null;
    return (...args) => {
        if (isLeading) {
            caller(args);
            isLeading = false;
            return;
        }
        stamp = +new Date();
        base = base || stamp;
        if ((stamp - base) >= delay) {
            caller(args);
        }
    };
};

/*
 * Public API Surface of @nonoll/code-snippet/functions
 */

/**
 * Generated bundle index. Do not edit.
 */

export { debounce, noop, throttle };
//# sourceMappingURL=nonoll-code-snippet-functions.js.map
